/*
  Warnings:

  - You are about to drop the `Availability` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Bannedaccount` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Experience` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `PasswordToken` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Report` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `ReportReason` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Review` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Session` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `SocialMedia` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Topic` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `UserTopic` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Users` table. If the table is not empty, all the data it contains will be lost.

*/
-- DropTable
DROP TABLE "Availability";

-- DropTable
DROP TABLE "Bannedaccount";

-- DropTable
DROP TABLE "Experience";

-- DropTable
DROP TABLE "PasswordToken";

-- DropTable
DROP TABLE "Report";

-- DropTable
DROP TABLE "ReportReason";

-- DropTable
DROP TABLE "Review";

-- DropTable
DROP TABLE "Session";

-- DropTable
DROP TABLE "SocialMedia";

-- DropTable
DROP TABLE "Topic";

-- DropTable
DROP TABLE "UserTopic";

-- DropTable
DROP TABLE "Users";

-- CreateTable
CREATE TABLE "tbUser" (
    "id" TEXT NOT NULL,
    "name" TEXT NOT NULL,
    "cpf" TEXT NOT NULL,
    "email" TEXT NOT NULL,
    "password" TEXT NOT NULL,
    "avatar" TEXT NOT NULL,
    "abstract" TEXT NOT NULL,
    "is_admin" BOOLEAN NOT NULL DEFAULT false,
    "created_at" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updated_at" TIMESTAMP(3),

    CONSTRAINT "tbUser_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbExperience" (
    "id" TEXT NOT NULL,
    "company" TEXT NOT NULL,
    "role" TEXT NOT NULL,
    "description" TEXT NOT NULL,
    "start_date" TIMESTAMP(3) NOT NULL,
    "end_date" TIMESTAMP(3) NOT NULL,
    "created_at" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updated_at" TIMESTAMP(3),
    "user_id" TEXT NOT NULL,

    CONSTRAINT "tbExperience_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbSession" (
    "id" TEXT NOT NULL,
    "startDate" TIMESTAMP(3) NOT NULL,
    "endDate" TIMESTAMP(3) NOT NULL,
    "status" VARCHAR(25) NOT NULL,
    "cancelledReason" VARCHAR(1000) NOT NULL,
    "studentId" TEXT NOT NULL,
    "userTopicId" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbSession_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbReview" (
    "id" TEXT NOT NULL,
    "evaluation" VARCHAR(1000) NOT NULL,
    "grade" INTEGER NOT NULL,
    "mentorId" BIGINT NOT NULL,
    "studentId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbReview_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbReportReason" (
    "id" TEXT NOT NULL,
    "description" VARCHAR(255) NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbReportReason_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbReport" (
    "id" TEXT NOT NULL,
    "description" VARCHAR(1000) NOT NULL,
    "reportReasonId" INTEGER NOT NULL,
    "mentorId" BIGINT NOT NULL,
    "studentId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbReport_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbTopic" (
    "id" TEXT NOT NULL,
    "name" VARCHAR(255) NOT NULL,
    "active" BOOLEAN NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbTopic_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbUserTopic" (
    "id" TEXT NOT NULL,
    "price" DOUBLE PRECISION NOT NULL,
    "userId" BIGINT NOT NULL,
    "topicId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbUserTopic_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbBannedaccount" (
    "id" TEXT NOT NULL,
    "reason" VARCHAR(1000) NOT NULL,
    "permanently" BOOLEAN NOT NULL,
    "startDate" TIMESTAMP(3) NOT NULL,
    "endDate" TIMESTAMP(3) NOT NULL,
    "userId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbBannedaccount_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbAvailability" (
    "id" TEXT NOT NULL,
    "startDate" TIMESTAMP(3) NOT NULL,
    "endDate" TIMESTAMP(3) NOT NULL,
    "weekDay" TEXT NOT NULL,
    "userId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbAvailability_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbSocialMedia" (
    "id" TEXT NOT NULL,
    "url" VARCHAR(255) NOT NULL,
    "type" VARCHAR(9) NOT NULL,
    "userId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbSocialMedia_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "tbPasswordToken" (
    "id" TEXT NOT NULL,
    "token" CHAR(8) NOT NULL,
    "expirationDate" TIMESTAMP(3) NOT NULL,
    "userId" BIGINT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "tbPasswordToken_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "tbUser_email_key" ON "tbUser"("email");

-- AddForeignKey
ALTER TABLE "tbExperience" ADD CONSTRAINT "tbExperience_user_id_fkey" FOREIGN KEY ("user_id") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
