/*
  Warnings:

  - You are about to drop the column `userTopicId` on the `tbSession` table. All the data in the column will be lost.
  - You are about to drop the `tbBannedaccount` table. If the table is not empty, all the data it contains will be lost.
  - Added the required column `mentorId` to the `tbSession` table without a default value. This is not possible if the table is not empty.
  - Added the required column `topicId` to the `tbSession` table without a default value. This is not possible if the table is not empty.

*/
-- AlterTable
ALTER TABLE "tbAvailability" ALTER COLUMN "userId" SET DATA TYPE TEXT;

-- AlterTable
ALTER TABLE "tbPasswordToken" ALTER COLUMN "userId" SET DATA TYPE TEXT;

-- AlterTable
ALTER TABLE "tbReport" ALTER COLUMN "mentorId" SET DATA TYPE TEXT,
ALTER COLUMN "studentId" SET DATA TYPE TEXT;

-- AlterTable
ALTER TABLE "tbReview" ALTER COLUMN "mentorId" SET DATA TYPE TEXT,
ALTER COLUMN "studentId" SET DATA TYPE TEXT;

-- AlterTable
ALTER TABLE "tbSession" DROP COLUMN "userTopicId",
ADD COLUMN     "mentorId" TEXT NOT NULL,
ADD COLUMN     "topicId" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "tbSocialMedia" ALTER COLUMN "userId" SET DATA TYPE TEXT;

-- AlterTable
ALTER TABLE "tbUserTopic" ALTER COLUMN "userId" SET DATA TYPE TEXT,
ALTER COLUMN "topicId" SET DATA TYPE TEXT;

-- DropTable
DROP TABLE "tbBannedaccount";

-- CreateTable
CREATE TABLE "tbBannedAccount" (
    "id" TEXT NOT NULL,
    "reason" VARCHAR(1000) NOT NULL,
    "permanently" BOOLEAN NOT NULL,
    "startDate" TIMESTAMP(3) NOT NULL,
    "endDate" TIMESTAMP(3) NOT NULL,
    "userId" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),

    CONSTRAINT "tbBannedAccount_pkey" PRIMARY KEY ("id")
);

-- AddForeignKey
ALTER TABLE "tbSession" ADD CONSTRAINT "tbSession_topicId_fkey" FOREIGN KEY ("topicId") REFERENCES "tbTopic"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbUserTopic" ADD CONSTRAINT "tbUserTopic_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbUserTopic" ADD CONSTRAINT "tbUserTopic_topicId_fkey" FOREIGN KEY ("topicId") REFERENCES "tbTopic"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbBannedAccount" ADD CONSTRAINT "tbBannedAccount_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbAvailability" ADD CONSTRAINT "tbAvailability_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbSocialMedia" ADD CONSTRAINT "tbSocialMedia_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbPasswordToken" ADD CONSTRAINT "tbPasswordToken_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
