/*
  Warnings:

  - You are about to drop the `tbMetrics` table. If the table is not empty, all the data it contains will be lost.

*/
-- DropForeignKey
ALTER TABLE "tbMetrics" DROP CONSTRAINT "tbMetrics_userId_fkey";

-- DropTable
DROP TABLE "tbMetrics";

-- CreateTable
CREATE TABLE "tbMetric" (
    "id" TEXT NOT NULL,
    "sessionsMetrics" JSONB,
    "usersMetrics" JSONB,
    "sessionRequestMetrics" JSONB,
    "financialMetrics" JSONB,
    "userId" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),

    CONSTRAINT "tbMetric_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "tbMetric_userId_key" ON "tbMetric"("userId");

-- AddForeignKey
ALTER TABLE "tbMetric" ADD CONSTRAINT "tbMetric_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
