import { Injectable } from '@nestjs/common';
import { faker } from '@faker-js/faker';
import { AdminReportsRepository } from './admin-reports.repository';

@Injectable()
export class AdminReportsService {
  constructor(private readonly adminReportRepository: AdminReportsRepository) {}

  async getAllData() {
    return {
      reports: await this.adminReportRepository.getReportFromMentors(),
      financialMetrics:
        this.getFakeData({ min: 1000, max: 2000 }) ||
        (await this.adminReportRepository.getAnnualBilling()),
      userGrowthByMonth:
        this.getFakeData({ min: 50, max: 200 }) ||
        (await this.adminReportRepository.getUserGrowthByMonth()),
      userTypeMetrics: await this.adminReportRepository.getUserTypeMetrics(),
    };
  }

  async getOverviewMetrics() {
    return await this.adminReportRepository.reportMentors();
  }

  getFakeData(range) {
    return [
      {
        data: '01/01/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/02/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/03/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/04/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/05/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/06/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/07/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/08/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/09/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/10/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/11/2023',
        total_month: faker.number.int(range),
      },
      {
        data: '01/12/2023',
        total_month: faker.number.int(range),
      },
    ];
  }
}
