import { randomBytes, createHash } from 'crypto';

export class Password {
  static async hashPassword(password) {
    // Gerar um salt aleatório
    const salt = randomBytes(16).toString('hex');

    // Criar o hash da senha com o salt
    const hash = createHash('sha256')
      .update(password + salt)
      .digest('hex');

    // Retornar ambos, hash e salt
    return [salt, hash];
  }

  static async isValid(inputPassword, storedHash, storedSalt) {
    // Criar um novo hash com a senha de entrada e o salt armazenado
    const hash = createHash('sha256')
      .update(inputPassword + storedSalt)
      .digest('hex');

    // Comparar o novo hash com o hash armazenado
    return hash === storedHash;
  }
}
