import { Injectable } from '@nestjs/common';
import { AvailabilityRepository } from './availability-repository';
import { buildDates } from '../utils';

@Injectable()
export class AvailabilityService {
  constructor(
    private readonly availabilityRepository: AvailabilityRepository,
  ) {}

  async create(data) {
    if (await this.availabilityRepository.hasAvailability(data)) {
      throw new Error('Já existe um horário disponível para este dia');
    }

    const dates: any = buildDates(data, {});
    return this.availabilityRepository.create(dates);
  }

  async delete(data: any) {
    const deleteRows = await this.availabilityRepository.delete(data);

    return {
      rows: deleteRows,
    };
  }
}
