import { Injectable } from '@nestjs/common';
import { DashboardRepository } from './dashboard.repository';
import { faker } from '@faker-js/faker';

@Injectable()
export class DashboardService {
  constructor(private readonly dashboardRepository: DashboardRepository) {}

  async getAllData(userId: string) {
    return this.getFakeData();

    // return {
    //   sessionsMetrics: await this.dashboardRepository.getSessionMetrics(userId),
    //   usersMetrics: await this.dashboardRepository.getUsersMetrics(userId),
    //   financialMetrics:
    //     await this.dashboardRepository.getFinancialMetrics(userId),
    //   sessionRequestsMetrics:
    //     await this.dashboardRepository.getSessionRequestsMetrics(userId),
    // };
  }

  getFakeData() {
    return {
      sessionsMetrics: [
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '01/12/2023',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/03/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/04/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/05/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/06/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/07/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/08/2024',
          per_day: faker.number.int({ min: 1, max: 10 }),
          percentage_increase: 10,
        },
      ],
      usersMetrics: [
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/02/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: -5,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/03/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/04/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/05/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/06/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/07/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/08/2024',
          per_day: faker.number.int({ min: 1, max: 5 }),
          percentage_increase: -5,
        },
      ],
      financialMetrics: [
        {
          data: '01/01/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/02/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/03/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/04/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/05/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/06/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/07/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/08/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/09/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/10/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/11/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/12/2022',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/01/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/02/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/03/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/04/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/05/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/06/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/07/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/08/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/09/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/10/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/11/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
        {
          data: '01/12/2023',
          total_month: faker.number.int({ min: 100, max: 5000 }),
        },
      ],
      sessionRequestsMetrics: [
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/02/2024',
          per_day: '10',
          percentage_increase: 5,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/03/2024',
          per_day: '5',
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/04/2024',
          per_day: '20',
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/05/2024',
          per_day: '10',
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/06/2024',
          per_day: '30',
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/07/2024',
          per_day: '40',
          percentage_increase: 10,
        },
        {
          number_sessions_last_30_days: '10',
          number_sessions_last_60_days: '0',
          session_date: '06/08/2024',
          per_day: '34',
          percentage_increase: 5,
        },
      ],
    };
  }
}
