import { Injectable } from '@nestjs/common';
import { SocialMedia } from '.prisma/client';
import { faker } from '@faker-js/faker';
import { PrismaClient } from '@prisma/client';
import { socialMedias } from '../utils/constants';

@Injectable()
export class SocialMediaFactory {
  static async create(
    prisma: PrismaClient,
    overrides: Partial<SocialMedia> = {},
  ): Promise<SocialMedia> {
    const socialMedia = SocialMediaFactory.build(overrides);
    return await prisma.socialMedia.create({ data: socialMedia });
  }

  static build(overrides: Partial<SocialMedia> = {}) {
    const randomSocialMediaType =
      socialMedias[Math.floor(Math.random() * socialMedias.length)];

    return {
      id: faker.string.uuid(),
      url: faker.internet.url(),
      type: randomSocialMediaType,
      userId: overrides.userId || faker.string.uuid(),
      ...overrides,
    };
  }
}
