import { Injectable } from '@nestjs/common';
import { Topic } from '.prisma/client';
import { faker } from '@faker-js/faker';
import { PrismaClient } from '@prisma/client';

@Injectable()
export class TopicFactory {
  static async create(
    prisma: PrismaClient,
    overrides: Partial<Topic> = {},
  ): Promise<Topic> {
    const topic = TopicFactory.build(overrides);
    return await prisma.topic.create({ data: topic });
  }

  static build(overrides: Partial<Topic> = {}) {
    return {
      id: faker.string.uuid(),
      name: faker.lorem.words(1),
      active: faker.datatype.boolean(),
      // Outros campos do tópico
      ...overrides,
    };
  }
}
