import { z } from 'zod';

export const envSchema = z.object({
  NODE_ENV: z.string().default('development'),
  PORT: z.coerce.number().optional().default(3333),
  DATABASE_URL: z.string().url(),
  VERSION: z.coerce.number().default(15),
  DB_HOST: z.string().default('localhost'),
  DB_USER: z.string().default('postgres'),
  DB_PASSWORD: z.string().default('admin'),
  DATABASE: z.string().default('mentora'),
  STREAM_API_KEY: z.string().default(''),
  STREAM_API_SECRET: z.string().default(''),
  IMAGEKIT_PUBLIC_KEY: z.string().default(''),
  IMAGEKIT_PRIVATE_KEY: z.string().default(''),
  IMAGEKIT_URL_ENDPOINT: z.string().default(''),
});

export type Env = z.infer<typeof envSchema>;
