import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { UserService } from 'src/app/services/user.service';
import { FormBuilder, FormGroup } from '@angular/forms';
import Swal from 'sweetalert2'
const swal = Swal as any;

@Component({
  selector: 'app-administradores',
  templateUrl: './administradores.component.html',
  styleUrls: ['./administradores.component.scss']
})
export class AdministradoresComponent implements OnInit {

  constructor(private userService: UserService, private router: Router, private fb: FormBuilder) {
    this.form = this.fb.group({});
   }

  listaAdmin: any[] = [];
  form: FormGroup;

  listaAdminFiltrado: any = []

  ngOnInit() {
    this.userService.getAdmins().subscribe(data => {
      this.listaAdminFiltrado = this.listaAdmin = data;
    });
  }

  voltar(){
    this.router.navigate(['/mentores'])
  }

  onSearch(e: any) {
    const text = e.target.value;
    this.listaAdminFiltrado = this.listaAdmin.filter(admin => admin['name'].toString().toLowerCase().indexOf(text.toLowerCase()) !== -1);
  }

  cadastrarAdmin(){
    this.router.navigate(['/cadastrarAdmin'])
  }

  excluirAdmin(admin: any){
    swal.fire({
      title: 'Tem certeza que deseja excluir?',
      showCancelButton: true,
      confirmButtonText: 'Sim',
      confirmButtonColor: 'green',
      cancelButtonText: 'Não',
      cancelButtonColor: 'red',
    }).then((result: any)=> {
      if (result.isConfirmed) {
        let index = this.listaAdmin.indexOf(admin);
        this.listaAdmin.splice(index, 1);
        Swal.fire('Excluído com sucesso', '', 'success')
      } else if (result.isDenied) {
        Swal.fire('Erro ao excluir', '', 'info')
      }
    })
  }

  editarAdmin(admin: any){
    this.router.navigate(['/editar-usuario'])
  }
}
