import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthenticationService } from 'src/app/services/auth/authentication.service';

@Component({
  selector: 'app-landing-page',
  templateUrl: './landing-page.component.html',
  styleUrls: ['./landing-page.component.scss']
})
export class LandingPageComponent implements OnInit {

  showMenuMobile: any;

  listaMentores = [{
    nome: 'Sócrates',
    resumo: 'Filósofo grego pioneiro, mentor de Platão e Aristóteles destacou-se pelo questionamento filosófico profundo.',
    foto: 'https://s1.static.brasilescola.uol.com.br/be/conteudo/images/socrates-um-dos-principais-nomes-filosofia-5b1e925991192.jpg',
  }, {
    nome: 'Albert Einstein',
    resumo: 'Gênio da física que transformou concepções do universo, influenciando a ciência moderna.',
    foto: 'https://socientifica.com.br/wp-content/uploads/2017/03/albert-einstein-761x700.jpg',
  }, {
    nome: 'Yoda',
    resumo: 'O mais sábio e poderoso Mestre Jedi, liderou a Ordem durante a luta contra o Império.',
    foto: 'https://sm.ign.com/ign_pt/screenshot/default/00_hgpc.jpg',
  }, {
    nome: 'Maito Gai',
    resumo: 'O ninja mais forte, mestre em Taijutsu e na técnica dos Oito Portões Internos, líder da Equipe 9 e inspira gerações de ninjas.',
    foto: 'https://i.pinimg.com/1200x/28/bf/27/28bf27ccdc8ce0fc6340e76f30519bb3.jpg',
  },]

  constructor(private authenticationService: AuthenticationService, private router: Router) { }

  ngOnInit() {
  }

  voltar() {
    this.router.navigate(['/home-user'])
  }

  scrollToTarget() {
    var targetElement = document.getElementById("sobre");
    targetElement?.scrollIntoView({ behavior: "smooth" });
  }

  logout() {
    this.authenticationService.logout();
    this.router.navigate(['/login'])
  }
}
