import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PagesRoutingModule } from './pages-routing.module';

import { LayoutComponent } from './_layout/layout.component';
import { LoadingService } from '../services/loading/loading.service';
import { NavbarComponent } from './_layout/components/navbar/navbar.component';
import { SharedModule } from './shared.module';

@NgModule({
  declarations: [
    LayoutComponent,
    NavbarComponent,
  ],
  imports: [
    CommonModule,
    SharedModule,
    PagesRoutingModule
  ],
  providers: [
    LoadingService
  ]
})
export class LayoutModule { }
