import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import {
    MatRippleModule,
    MatNativeDateModule,
    MAT_DATE_LOCALE,
} from '@angular/material/core';
import {
    MatBottomSheetModule,
    MatBottomSheetRef,
    MAT_BOTTOM_SHEET_DATA,
} from '@angular/material/bottom-sheet';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { AngularModule } from '../angular.module';


@NgModule({
    imports: [
        AngularModule
    ],
    exports: [
        CommonModule,
        // material modules
        MatInputModule,
        MatFormFieldModule,
        MatDatepickerModule,
        MatNativeDateModule,
        MatBottomSheetModule,
        MatRippleModule,
        // CoreModule,
        MatButtonToggleModule,
        // GeneralModule,
        FormsModule,
        ReactiveFormsModule
    ],
    entryComponents: [
    ],
    providers: [
        { provide: MatBottomSheetRef, useValue: {} },
        { provide: MAT_BOTTOM_SHEET_DATA, useValue: {} },
        { provide: MAT_DATE_LOCALE, useValue: 'pt-BR' },
    ],
    declarations: [

    ],
})
export class MaterialModule { }