import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { MeuPerfilComponent } from './meu-perfil.component';
import { SharedModule } from '../shared.module';
import { ImageCropperModule } from 'ngx-image-cropper';
import { DadosPessoaisComponent } from './dados-pessoais/dados-pessoais.component';
import { DisponibilidadeComponent } from './disponibilidade/disponibilidade.component';
import { RedesSociaisComponent } from './redes-sociais/redes-sociais.component';
import { ConfiguracoesComponent } from './configuracoes/configuracoes.component';
import { ExperienciasComponent } from './experiencias/experiencias.component';
import { MeusConhecimentosComponent } from './meus-conhecimentos/meus-conhecimentos.component';

@NgModule({
  declarations: [
    MeuPerfilComponent,
    DadosPessoaisComponent,
    DisponibilidadeComponent,
    RedesSociaisComponent,
    ConfiguracoesComponent,
    ExperienciasComponent,
    MeusConhecimentosComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    ImageCropperModule,
    RouterModule.forChild([
        {
          path: '',
          component: MeuPerfilComponent,
        },
      ]),
  ]
})
export class MeuPerfilModule {}
 