import { LOCALE_ID, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { LogoComponent } from './_layout/components/logo/logo.component';
import { TextInputComponent } from './_layout/components/text-input/text-input.component';
import { UserAvatarComponent } from './_layout/components/user-avatar/user-avatar.component';
import { ModalBaseComponent } from './_layout/components/modal-base/modal-base.component';
import { InputMaskModule } from '@ngneat/input-mask';

import { registerLocaleData } from '@angular/common';
import localePt from '@angular/common/locales/pt';
import { NgxMultiselectModule } from '@ngx-lib/multiselect';


registerLocaleData(localePt);

@NgModule({
  declarations: [
    LogoComponent,
    UserAvatarComponent,
    TextInputComponent,
    ModalBaseComponent,
  ],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    FormsModule,
    InputMaskModule,
    NgxMultiselectModule,
  ],
  exports: [
    LogoComponent,
    UserAvatarComponent,
    TextInputComponent,
    ReactiveFormsModule,
    FormsModule,
    InputMaskModule,
    ModalBaseComponent,
    NgxMultiselectModule
  ],
  providers: [
    {
      provide: LOCALE_ID, useValue: "pt-BR"
    },
  ]
})
export class SharedModule { }
