import {
    ActivatedRouteSnapshot,
    RouterStateSnapshot,
    CanActivateFn,
    Router,
} from '@angular/router';
import { Observable } from 'rxjs';
import { AuthenticationService } from './authentication.service';
import { inject } from '@angular/core';

export const AdminGuard: CanActivateFn = (
    route: ActivatedRouteSnapshot,
    state: RouterStateSnapshot,
): Observable<boolean> | Promise<boolean> | boolean => {

    const adminRoutes = ['/administradores', '/conhecimentos', '/denuncias']

    const router: Router = inject(Router);
    const authenticationService: AuthenticationService = inject(AuthenticationService)

    if (adminRoutes.indexOf(state['url']) == -1) {
        return true;
    } else if (authenticationService.getUserSession().isAdmin) {
        return true;
    } else {
        return router.navigate(['/mentores'])
    }


}
