import {
    ActivatedRouteSnapshot,
    RouterStateSnapshot,
    CanActivateFn,
    Router,
} from '@angular/router';
import { Observable } from 'rxjs';
import { AuthenticationService } from './authentication.service';
import { inject } from '@angular/core';

export const AuthGuard: CanActivateFn = (
    route: ActivatedRouteSnapshot,
    state: RouterStateSnapshot,
): Observable<boolean> | Promise<boolean> | boolean => {

    const noLoginRoutes = ['/login', '/esqueci-senha', '/cadastro', '/sobre']

    const router: Router = inject(Router);
    const authenticationService: AuthenticationService = inject(AuthenticationService)

    // return true;
    let emptyRoute = state['url'] == '/' || state['url'] == '';

    if (emptyRoute) {
        return router.navigate(['/sobre'])
        // return true;
    } else {
        // console.log(authenticationService.getUserSession());
        // return true;
        if (!authenticationService.getUserSession() && noLoginRoutes.indexOf(state['url']) == -1) {
            return router.navigate(['/sobre'])
            // return true;
        } else {
            return true;
        }
    }
}
