import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({ providedIn: 'root' })
export class ReportService {

  constructor(private http: HttpClient) {}

  getReports(): Observable<any> {
    return this.http.get(`${environment.URLS.API_BASE_URL}/reports`)
  }

  getReportsReasons(): Observable<any> {
    return this.http.get(`${environment.URLS.API_BASE_URL}/reports/reasons`)
  }

  postReport(idReportedUser: any, model: any): Observable<any> {
    return this.http.post(`${environment.URLS.API_BASE_URL}/users/${idReportedUser}/report`, model)
  }

}
