import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({ providedIn: 'root' })
export class TopicsService {

  profileId = '';

  constructor(private http: HttpClient) {
  }

  getTopics(): Observable<any> {
    return this.http.get(environment.URLS.API_BASE_URL + '/topics')
  }

  getTopicById(id: string): Observable<any> {
    return this.http.get(environment.URLS.API_BASE_URL + '/topics/' + id)
  }

  postTopic(model: any): Observable<any> {
    return this.http.post(environment.URLS.API_BASE_URL + '/topics', model)
  }

  putTopic(id: string, model: any): Observable<any> {
    return this.http.put(environment.URLS.API_BASE_URL + '/topics/' + id, model)
  }

  deleteTopic(id: string): Observable<any> {
    return this.http.delete(environment.URLS.API_BASE_URL + '/topics/' + id)
  }


  getTopicsByUserId(id: string): Observable<any> {
    return this.http.get(environment.URLS.API_BASE_URL + '/user-topics/user/' + id)
  }

  saveUserTopic(model: any): Observable<any> {
    return this.http.post(environment.URLS.API_BASE_URL + '/user-topics', model)
  }

  deleteUserTopic(topicId: string): Observable<any> {
    return this.http.delete(environment.URLS.API_BASE_URL + '/user-topics/' + topicId)
  }


}
